Subject: [Lsr] Calculating OSPF external routes for non-zero FA

From: Alexander Okonnikov <[email-masked]>
Date: Fri, 1 Mar 2019 16:15:43 +0300

Hi WG,

I don't know whether the problem below is known already, but I have not found neither update nor corresponding errata for RFC 2328. RFC 2328, section 16.4 says:

"(3) ...  Look up the routing table entries (potentially one per attached area) for the AS boundary router (ASBR) that originated the LSA. If no entries exist for router ASBR (i.e., ASBR is unreachable), do nothing with this LSA and consider the next in the list.

Else, this LSA describes an AS external path to destination N.  Examine the forwarding address specified in the AS-external-LSA.  This indicates the IP address to which packets for the destination should be forwarded. ..."

and

"... If the forwarding address is non-zero, look up the forwarding address in the routing table.[24] The matching routing table entry must specify an intra-area or inter-area path; if no such path exists, do nothing with the LSA and consider the next in the list. ..."

In case when AS-external LSA has non-zero FA, why do we need to look up the routing table entries for ASBR, that originated the LSA? It is possible that FA is available via other ASBR(s). This is valid case when there are more than one ASBRs, and all may originate AS-external LSA with the same FA and metric for some external destination, but only one (with highest RID) will originate such LSA (RFC 2328, section 12.4.4.1). Another case with Type-7 to Type-5 translation doing by ABRs in Candidate mode (RFC 3101).

Per my understanding a calculating router should initially analyse FA value and only then check availability of ASBR or FA, depending on whether FA is zero or not. Am I missing something?

Thanks.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 1 Mar 2019 13:41:14 +0000

Hi Alexander, 
If the ASBR is not reachable, the AS-External LSA could be stale and the route it originally advertised could be unreachable or administrative prohibited irrespective of the reachability of the forwarding address.
Thanks,
Acee

On 3/1/19, 8:16 AM, "Lsr on behalf of Alexander Okonnikov" <[email-masked] on behalf of [email-masked]> wrote:

    Hi WG,

    
    
    and

    
    
    Thanks.
    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: Alexander Okonnikov <[email-masked]>
Date: Fri, 1 Mar 2019 17:02:29 +0300

Hi Acee,

Got it now. We don't know in advance whether there are other ASBRs which, while having connectivity to FA, have external routing information.

Thank you for explanation!

> 1 марта 2019 г., в 16:41, Acee Lindem (acee) <[email-masked]> написал(а):
> 
> Hi Alexander,